package domain

import "code.30cm.net/digimon/library-go/errs"

// Verify Error Code
const (
	FailedToVerifyGoogle errs.ErrorCode = iota + 1
	FailedToVerifyGoogleTimeout
	FailedToVerifyGoogleHTTPCode
	FailedToVerifyGoogleTokenExpired
	FailedToVerifyGoogleInvalidAudience
	FailedToVerifyLine
)

// PWS Error Code
const (
	HashPasswordErrorCode = 10 + iota
	InsertAccountErrorCode
	BindingUserTabletErrorCode
	FailedToFindAccountErrorCode
	FailedToBindAccountErrorCode
	FailedToIncAccountErrorCode
	FailedFindUIDByLoginIDErrorCode
	FailedFindOneByAccountErrorCode
	FailedToUpdatePasswordErrorCode
	FailedToFindUserErrorCode
	FailedToUpdateUserErrorCode
	FailedToUpdateUserStatusErrorCode
	FailedToGetUserInfoErrorCode
	FailedToGetVerifyCodeErrorCode
	FailedToGetCodeOnRedisErrorCode
	FailedToGetCodeCorrectErrorCode
)
